com.icesoft.faces.component.panelpositioned

## Class PanelPositioned

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIData
      - - javax.faces.component.html.HtmlDataTable
        - - org.icefaces.impl.component.UISeriesBase
          - - com.icesoft.faces.component.panelseries.UISeries
            - - com.icesoft.faces.component.panelpositioned.PanelPositioned

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.icefaces.impl.component.SeriesStateHolder

      public class PanelPositioned
      extends UISeries

  Panel Positioned Componenet class

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.icefaces.impl.component.UISeriesBase

      `org.icefaces.impl.component.UISeriesBase.RowEvent`

    - ### Nested classes/interfaces inherited from class javax.faces.component.html.HtmlDataTable

      `javax.faces.component.html.HtmlDataTable.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `DEFAULT_RENDERER_TYPE`

    - ### Fields inherited from class com.icesoft.faces.component.panelseries.UISeries

      `RENDERER_TYPE`

    - ### Fields inherited from class org.icefaces.impl.component.UISeriesBase

      `dataModel, savedChildren, savedSeriesState`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PanelPositioned()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `javax.faces.el.MethodBinding` | `getBeforeChangedListener()`
    `java.lang.String` | `getConstraint()`
    `java.lang.String` | `getEnabledOnUserRole()` Return the value of the `enabledOnUserRole` property.
    `java.lang.String` | `getFamily()`
    `int` | `getFirst()` Deprecated.
    `java.lang.String` | `getHandle()`
    `java.lang.String` | `getHoverclass()` Deprecated.
    `javax.faces.el.MethodBinding` | `getListener()`
    `java.lang.String` | `getOverlap()` Deprecated.
    `java.lang.String` | `getRenderedOnUserRole()` Return the value of the `renderedOnUserRole` property.
    `java.lang.String` | `getRendererType()`
    `int` | `getRows()` Deprecated.
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.Object` | `getValueAsList()`
    `boolean` | `isDisabled()`
    `boolean` | `isRendered()` Return the value of the `rendered` property.
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object stateIn)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setArrayValue(java.lang.Object[] obj)`
    `void` | `setBeforeChangedListener(javax.faces.el.MethodBinding beforeChangedListener)`
    `void` | `setConstraint(java.lang.String constraint)` If set to 'horizontal' or 'vertical' the drag will be constrained to take place only horizontally or vertically.
    `void` | `setDisabled(boolean disabled)`
    `void` | `setEnabledOnUserRole(java.lang.String enabledOnUserRole)` Set the value of the `enabledOnUserRole` property.
    `void` | `setFirst(int first)` Deprecated.
    `void` | `setHandle(java.lang.String handle)` The handle used to drag.
    `void` | `setHoverclass(java.lang.String hoverclass)` Deprecated.
    `void` | `setListener(javax.faces.el.MethodBinding listener)`
    `void` | `setOverlap(java.lang.String overlap)` Deprecated.
    `void` | `setRenderedOnUserRole(java.lang.String renderedOnUserRole)` Set the value of the `renderedOnUserRole` property.
    `void` | `setRows(int rows)` Deprecated.
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`

    - ### Methods inherited from class com.icesoft.faces.component.panelseries.UISeries

      `getValue, synchWithPaginator, wrapDataModel`

    - ### Methods inherited from class org.icefaces.impl.component.UISeriesBase

      `encodeBegin, ensureFirstRowInRange, getClientId, getContainerClientId, getDataModel, getRowCount, getRowData, getRowIndex, getSavedChildren, getSavedSeriesState, getVar, getVarStatus, isRowAvailable, iterate, processDecodes, processUpdates, processValidators, restoreChild, restoreChildrenState, restoreChildState, restoreSeriesState, saveChild, saveChildrenState, saveChildState, saveSeriesState, setDataModel, setId, setRowIndex, setValue, setValueBinding, setVar, setVarStatus, visitTree`

    - ### Methods inherited from class javax.faces.component.html.HtmlDataTable

      `getBgcolor, getBodyrows, getBorder, getCaptionClass, getCaptionStyle, getCellpadding, getCellspacing, getColumnClasses, getDefaultEventName, getDir, getEventNames, getFooterClass, getFrame, getHeaderClass, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getRowClasses, getRules, getSummary, getTitle, getWidth, setBgcolor, setBodyrows, setBorder, setCaptionClass, setCaptionStyle, setCellpadding, setCellspacing, setColumnClasses, setDir, setFooterClass, setFrame, setHeaderClass, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setRowClasses, setRules, setSummary, setTitle, setWidth`

    - ### Methods inherited from class javax.faces.component.UIData

      `createUniqueId, getFooter, getHeader, invokeOnComponent, isRowStatePreserved, markInitialState, setFooter, setHeader, setRowStatePreserved, setValueExpression`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendersChildren, getValueBinding, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### DEFAULT_RENDERER_TYPE

          public static final java.lang.String DEFAULT_RENDERER_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PanelPositioned

          public PanelPositioned()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIData`

    - #### getRendererType

          public java.lang.String getRendererType()

      Overrides:
        `getRendererType` in class `javax.faces.component.UIComponentBase`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Overrides:
        `getStyleClass` in class `javax.faces.component.html.HtmlDataTable`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Overrides:
        `setStyleClass` in class `javax.faces.component.html.HtmlDataTable`

    - #### getStyle

          public java.lang.String getStyle()

      Overrides:
        `getStyle` in class `javax.faces.component.html.HtmlDataTable`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Overrides:
        `setStyle` in class `javax.faces.component.html.HtmlDataTable`

    - #### getListener

          public javax.faces.el.MethodBinding getListener()

    - #### setListener

          public void setListener(javax.faces.el.MethodBinding listener)

    - #### getOverlap

          public java.lang.String getOverlap()

      Deprecated.

    - #### setOverlap

          public void setOverlap(java.lang.String overlap)

      Deprecated.
      Either 'vertical' or 'horizontal'. For floating sortables or horizontal lists, choose 'horizontal'. Vertical lists should use 'vertical'.
      Parameters:
        `overlap` -

    - #### getConstraint

          public java.lang.String getConstraint()

    - #### setConstraint

          public void setConstraint(java.lang.String constraint)

      If set to 'horizontal' or 'vertical' the drag will be constrained to take place only horizontally or vertically.
      Parameters:
        `constraint` -

    - #### getHandle

          public java.lang.String getHandle()

    - #### setHandle

          public void setHandle(java.lang.String handle)

      The handle used to drag. The first child/grandchild/etc. element found within the element that has this CSS class value will be used as the handle.
      Parameters:
        `handle` -

    - #### getHoverclass

          public java.lang.String getHoverclass()

      Deprecated.

    - #### setHoverclass

          public void setHoverclass(java.lang.String hoverclass)

      Deprecated.
      If set, the Droppable will have this additional CSS class when an accepted Draggable is hovered over it.
      Parameters:
        `hoverclass` -

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `org.icefaces.impl.component.UISeriesBase`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `org.icefaces.impl.component.UISeriesBase`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `org.icefaces.impl.component.UISeriesBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object stateIn)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `org.icefaces.impl.component.UISeriesBase`

    - #### getValueAsList

          public java.lang.Object getValueAsList()

    - #### setArrayValue

          public void setArrayValue(java.lang.Object[] obj)

    - #### setDisabled

          public void setDisabled(boolean disabled)

      Parameters:
        `disabled` -

    - #### isDisabled

          public boolean isDisabled()

      Returns:
        the value of disabled

    - #### setEnabledOnUserRole

          public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

      Set the value of the `enabledOnUserRole` property.

    - #### getEnabledOnUserRole

          public java.lang.String getEnabledOnUserRole()

      Return the value of the `enabledOnUserRole` property.

    - #### setRenderedOnUserRole

          public void setRenderedOnUserRole(java.lang.String renderedOnUserRole)

      Set the value of the `renderedOnUserRole` property.

    - #### getRenderedOnUserRole

          public java.lang.String getRenderedOnUserRole()

      Return the value of the `renderedOnUserRole` property.

    - #### isRendered

          public boolean isRendered()

      Return the value of the `rendered` property.

      Overrides:
        `isRendered` in class `UISeries`

    - #### getFirst

          public int getFirst()

      Deprecated.
      Overrides:
        `getFirst` in class `javax.faces.component.UIData`

    - #### setFirst

          public void setFirst(int first)

      Deprecated.
      Overrides:
        `setFirst` in class `javax.faces.component.UIData`

    - #### getRows

          public int getRows()

      Deprecated.
      Overrides:
        `getRows` in class `javax.faces.component.UIData`

    - #### setRows

          public void setRows(int rows)

      Deprecated.
      Overrides:
        `setRows` in class `javax.faces.component.UIData`

    - #### getBeforeChangedListener

          public javax.faces.el.MethodBinding getBeforeChangedListener()

    - #### setBeforeChangedListener

          public void setBeforeChangedListener(javax.faces.el.MethodBinding beforeChangedListener)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.